Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerge cacti failed
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
rongfei
n00b
n00b


Joined: 15 Mar 2006
Posts: 17
Location: China hunan normal university network center

PostPosted: Thu Mar 23, 2006 5:35 am    Post subject: Emerge cacti failed Reply with quote

I want install cacti tool to mirror my network in my SunMicrosystem ultra60.
When I was to install it with command "emerge cacti",gentoo linux need install five software.
In the stage of installing php,gentoo show some meessage before stopping because error in configure file :


* Determining SAPI(s) to build
* Enabled SAPI: cli
* Enabled SAPI: cgi
* Enabled SAPI: apache
* Enabled SAPI: apache2
*
* If this package fails with a fatal error about Apache2 not having
* been compiled with a compatible MPM, this is normally because you
* need to toggle the 'threads' USE flag.
*
* If 'threads' is off, try switching it on.
* If 'threads' is on, try switching it off.
*

* USE flag 'berkdb' needs these additional flag(s) set:
* dba
*
* You can do this by enabling these flags in /etc/portage/package.use:
* =dev-lang/php-5.0.5-r5 dba
*
* You could disable this flag instead in /etc/portage/package.use:
* =dev-lang/php-5.0.5-r5 -berkdb


!!! ERROR: dev-lang/php-5.0.5-r5 failed.
!!! Function confutils_use_depend_all, Line 166, Exitcode 0
!!! Need missing USE flags
!!! If you need support, post the topmost build error, NOT this status message.

But I don't kown what should I do,I need help.
Back to top
View user's profile Send private message
think4urs11
Administrator
Administrator


Joined: 25 Jun 2003
Posts: 6659
Location: above the cloud

PostPosted: Thu Mar 23, 2006 7:33 am    Post subject: Re: Emerge cacti failed Reply with quote

Quote:
* USE flag 'berkdb' needs these additional flag(s) set:
* dba
*
* You can do this by enabling these flags in /etc/portage/package.use:
* =dev-lang/php-5.0.5-r5 dba

_________________
Nothing is secure / Security is always a trade-off with usability / Do not assume anything / Trust no-one, nothing / Paranoia is your friend / Think for yourself
Back to top
View user's profile Send private message
rongfei
n00b
n00b


Joined: 15 Mar 2006
Posts: 17
Location: China hunan normal university network center

PostPosted: Thu Mar 23, 2006 7:59 am    Post subject: Reply with quote

But ,How I can do this ?
Back to top
View user's profile Send private message
think4urs11
Administrator
Administrator


Joined: 25 Jun 2003
Posts: 6659
Location: above the cloud

PostPosted: Thu Mar 23, 2006 8:45 am    Post subject: Reply with quote

rongfei wrote:
But ,How I can do this ?

Code:
# echo '=dev-lang/php-5.0.5-r5 dba' >> /etc/portage/package.use

_________________
Nothing is secure / Security is always a trade-off with usability / Do not assume anything / Trust no-one, nothing / Paranoia is your friend / Think for yourself
Back to top
View user's profile Send private message
rongfei
n00b
n00b


Joined: 15 Mar 2006
Posts: 17
Location: China hunan normal university network center

PostPosted: Thu Mar 23, 2006 11:47 am    Post subject: Reply with quote

I have work out this error.
Step 1 : create the file touch /etc/portage/portage.use
Step 2 : edit the file add USE:
=dev-lang/php-<ver>- USE="cgi"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum